Public Member Functions | List of all members
SparseSelector Class Reference

`#include <sparseSelector.h>`

## Public Member Functions
| SparseSelector (Refinement &refine)
| ~SparseSelector ()
void | setRefinement (Refinement &refine)
Refinement & | getRefinement () const
bool | isSelectionEmpty () const
void | selectVertex (Index pVertex)
void | selectEdge (Index pEdge)
void | selectFace (Index pFace)

## Detailed Description

Definition at line 57 of file sparseSelector.h.

## Constructor & Destructor Documentation

## § SparseSelector()

SparseSelector | ( | Refinement & | refine | ) |
| inline

Definition at line 60 of file sparseSelector.h.

## § ~SparseSelector()

~SparseSelector | ( |  | ) |
| inline

Definition at line 61 of file sparseSelector.h.

## Member Function Documentation

## § getRefinement()

Refinement& getRefinement | ( |  | ) | const
| inline

Definition at line 64 of file sparseSelector.h.

## § isSelectionEmpty()

bool isSelectionEmpty | ( |  | ) | const
| inline

Definition at line 66 of file sparseSelector.h.

## § selectEdge()

void selectEdge | ( | Index | pEdge | ) |

## § selectFace()

void selectFace | ( | Index | pFace | ) |

## § selectVertex()

void selectVertex | ( | Index | pVertex | ) |

## § setRefinement()

void setRefinement | ( | Refinement & | refine | ) |
| inline

Definition at line 63 of file sparseSelector.h.

The documentation for this class was generated from the following file:

- opensubdiv/vtr/sparseSelector.h